> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all leads



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/leads
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/leads:
    get:
      tags:
        - Lead
      summary: Get all leads
      operationId: lead.index
      parameters:
        - name: lead_status_id
          in: query
          description: Filter by lead status ID.
          schema:
            type:
              - integer
              - 'null'
        - name: lead_reference_source_id
          in: query
          description: Filter by lead reference source ID.
          schema:
            type:
              - integer
              - 'null'
        - name: converted
          in: query
          description: Filter by converted status (true for converted leads).
          schema:
            type:
              - boolean
              - 'null'
        - name: search
          in: query
          description: The search query.
          schema:
            type:
              - string
              - 'null'
            maxLength: 255
        - name: sort_by
          in: query
          description: The field to sort by.
          schema:
            type:
              - string
              - 'null'
            enum:
              - created_at
              - last_name
              - first_name
              - converted_at
              - last_synced_at
        - name: sort_order
          in: query
          description: The sort direction (asc or desc).
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
        - name: per_page
          in: query
          description: The number of items per page.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
            maximum: 100
        - name: trashed
          in: query
          description: Include only soft-deleted records.
          schema:
            type:
              - boolean
              - 'null'
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: Paginated set of `LeadResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/LeadResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    LeadResource:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type: string
        full_name:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        message:
          type:
            - string
            - 'null'
        preferred_contact:
          type:
            - string
            - 'null'
        source_page_url:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/RelatedLeadStatusResource'
        reference_source:
          $ref: '#/components/schemas/RelatedLeadReferenceSourceResource'
        assigned_user:
          $ref: '#/components/schemas/RelatedUserResource'
        country_id:
          type:
            - integer
            - 'null'
        country_name:
          type: string
        is_converted:
          type: string
        converted_at:
          type:
            - string
            - 'null'
          format: date-time
        customer_id:
          type:
            - integer
            - 'null'
        marketing_attribution:
          type:
            - array
            - 'null'
          items: {}
        external_id:
          type:
            - string
            - 'null'
        external_branch_id:
          type:
            - string
            - 'null'
        external_created_at:
          type:
            - string
            - 'null'
          format: date-time
        last_synced_at:
          type:
            - string
            - 'null'
          format: date-time
        import_source_id:
          type:
            - integer
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - first_name
        - last_name
        - full_name
        - phone_number
        - email
        - description
        - message
        - preferred_contact
        - source_page_url
        - country_id
        - is_converted
        - converted_at
        - customer_id
        - marketing_attribution
        - external_id
        - external_branch_id
        - external_created_at
        - last_synced_at
        - import_source_id
        - created_at
        - updated_at
        - deleted_at
      title: LeadResource
    RelatedLeadStatusResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        slug:
          type: string
        color:
          type: string
        is_terminal:
          type: boolean
      required:
        - id
        - name
        - slug
        - color
        - is_terminal
      title: RelatedLeadStatusResource
    RelatedLeadReferenceSourceResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        external_id:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - external_id
      title: RelatedLeadReferenceSourceResource
    RelatedUserResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedUserResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````